classification
Title: Add Mac OS X Disk Images to Python.org homepage
Type: compile error Stage:
Components: macOS Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, carlj, carwyn, loewis
Priority: normal Keywords:

Created on 2008-12-11 06:26 by carlj, last changed 2009-02-14 08:09 by carlj. This issue is now closed.

Messages (13)
msg77591 - (view) Author: Carl Johnson (carlj) Date: 2008-12-11 06:26
As recently as Python 2.6.0's release, Python.org had a link to download a 
disk image with a special newb-friendly installer for OS X. See http://www.python.org/download/releases/2.6/

Now, it's gone in Python 2.6.1, and it was never there for Python 3.0. 
Which is a pain, because it's really hard to get "readlines" to install 
just using config/make/install. 

So, whoever is in charge of making that disk image should make it again.
msg77595 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-11 06:43
Unfortunately, nobody is "in charge" of making disk images (this is a
volunteer project entirely), so none might get made.
msg77607 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-12-11 12:59
I have built a Mac Installer (and tested). I'm not sure how to upload
it, though.
msg77864 - (view) Author: Carwyn Edwards (carwyn) Date: 2008-12-15 12:11
Just to note that issue 4017 is related to this.
msg78128 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-12-20 22:06
I've added installers to the website now.
msg78130 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-20 22:20
> I've added installers to the website now.

Does that include a 3.0 installer? I can't see any.
msg78131 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-12-20 22:40
No, I don't have one for 3.0. AFAIK, that hasn't even been attempted yet.
msg81990 - (view) Author: Carl Johnson (carlj) Date: 2009-02-14 04:08
Is it possible to reopen this bug? Python 3.0.1 still has no Mac installer…
msg81991 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-02-14 04:10
On Fri, Feb 13, 2009 at 10:08 PM, Carl Johnson <report@bugs.python.org> wrote:
>
> Carl Johnson <carl@carlsensei.com> added the comment:
>
> Is it possible to reopen this bug? Python 3.0.1 still has no Mac installer…

IIRC, they will be built soon.
msg81996 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-14 07:36
The original bug report was about 2.6 having no installer, and that has
been fixed. In fact, the bug can't possibly have talked about 3.0.1,
since that wasn't released when the bug report is made. Changing the bug
report's topic after it is made is bad management.

So you could create a new bug report for 3.0.1 having no installer.
However, I question what the point of such a bug report would be: it
can't be to inform us (the Python maintainers) that there is no
installer - we are well aware of that fact. So such a new bug report
would sound much like whining.
msg81997 - (view) Author: Carl Johnson (carlj) Date: 2009-02-14 07:38
What's German for "the squeaky wheel gets the grease"? ;-)
msg81999 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-02-14 07:58
> What's German for "the squeaky wheel gets the grease"? ;-)

I can't think of anything; "Wer am lautesten schreit hat recht" and
"Fragen kostet nichts" come close. I find that attitude close to
whining, and I assert that it doesn't help in Python. Indeed, I
get personally *discouraged* to help when I notice it, because I
want to decide myself what I work on, instead of having others
who never contribute themselves make priorities for me.
msg82000 - (view) Author: Carl Johnson (carlj) Date: 2009-02-14 08:09
Fair enough. In this case though, I'm not complaining for myself, since
I can compile config, make, install source (although I don't know how to
build a Mac Installer, or else I would just do it). I'm complaining on
behalf of all the AppleScript users and others who have heard about this
"Python 3" and are interested, but don't go in for using the command
line (yet). It would be a shame to discourage them from learning Python
when they don't see a Mac download link.
History
Date User Action Args
2009-02-14 08:09:45carljsetmessages: + msg82000
2009-02-14 07:58:52loewissetmessages: + msg81999
2009-02-14 07:38:02carljsetmessages: + msg81997
2009-02-14 07:36:33loewissetmessages: + msg81996
2009-02-14 04:10:02benjamin.petersonsetmessages: + msg81991
2009-02-14 04:08:27carljsetmessages: + msg81990
versions: - Python 2.6
2008-12-20 22:40:21benjamin.petersonsetmessages: + msg78131
2008-12-20 22:20:15loewissetmessages: + msg78130
2008-12-20 22:06:05benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg78128
2008-12-15 12:11:17carwynsetnosy: + carwyn
messages: + msg77864
2008-12-11 12:59:07benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg77607
2008-12-11 06:43:39loewissetnosy: + loewis
messages: + msg77595
2008-12-11 06:26:59carljcreate